PVATTEST-PERFORM(1)

NAME
pvattest-perform - Send the attestation request to the Ultravisor (s390x only.)

SYNOPSIS
pvattest perform [OPTIONS] [IN] [OUT]

DESCRIPTION
Run a measurement of this system through ’/dev/uv’. This device must be accessible and the attestation Ultravisor facility must be present. The input must be an attestation request created with ’pvattest create’. Output will contain the original request and the response from the Ultravisor. Only available on s390x.

OPTIONS

<IN>
    Specify the request to be sent.

<OUT>
    Write the result to FILE.

-i, --input <FILE>
    Specify the request to be sent.

-o, --output <FILE>
    Write the result to FILE.

-u, --user-data <File>
    Provide up to 256 bytes of user input User-data is arbitrary user-defined data appended to the Attestation measurement. It is verified during the Attestation measurement verification. May be any arbitrary data, as long as it is less or equal to 256 bytes

-h, --help
    Print help (see a summary with -h).

EXAMPLES
Perform an attestation measurement with the attestation request 'attreq.bin' and write the output to 'attresp.bin'.

       $ pvattest perform attreq.bin attresp.bin

SEE ALSO

pvattest(1)